%alfaslopes.m

% take TEx_Cx_alfa[4,6,8], create matrix of slopes of Cx vs Alfa

% Therefore, for any desired input alpha, we can use the following equation:
%    (dCx/ddf)/da*alfa*df = Cx
% 
% 
% 


alfarange = [4 6 8]';

for i=1:12
    p = polyfit(alfarange,TER_CL_slopes(:,i),1);
    TER_CL_alfaslope(i) = p(1);
    p = polyfit(alfarange,TER_Cm_slopes(:,i),1);
    TER_Cm_alfaslope(i) = p(1);
    p = polyfit(alfarange,TER_Cr_slopes(:,i),1);
    TER_Cr_alfaslope(i) = p(1);
    p = polyfit(alfarange,TEL_CL_slopes(:,i),1);
    TEL_CL_alfaslope(i) = p(1);
    p = polyfit(alfarange,TEL_Cm_slopes(:,i),1);
    TEL_Cm_alfaslope(i) = p(1);
    p = polyfit(alfarange,TEL_Cr_slopes(:,i),1);
    TEL_Cr_alfaslope(i) = p(1);
end